<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Task 17.10</title>
    <link rel="stylesheet" href="styles/index.css">
</head>
<body>
    <div class="container">
        <img id="img-people-playing-casino" src="images/people-playing-casino.jpg" alt="people-playing-casino">
        <h1 id="h1-chao-mung" style="text-align: center; color: red;">Chào mừng đến với My Lucky Dice</h1>
        <img id="img-dice" src="images/dice.png" alt="dice">
        <button onclick="onBtnNem()">Ném</button>
        <h2 id="h2-show-msg">Cảm ơn bạn. Hãy cố gắng lần sau!</h2>
    </div>
</body>
<script>
    vImgArray = [
    "images/1.png",
    "images/2.png",
    "images/3.png",
    "images/4.png",
    "images/5.png",
    "images/6.png"
    ];

    function onBtnNem() {
        var vRandomNumber = getRandomNumber();

        changeImgDice(vRandomNumber);

        changeMessage(vRandomNumber);
    }

    function getRandomNumber() {
        var vSoBatKyTu1Den6 = Math.floor(Math.random() * 6 + 1)
        console.log(vSoBatKyTu1Den6);
        return vSoBatKyTu1Den6;
    }

    function changeImgDice(paramNum) {
        var vImgDice = document.getElementById("img-dice");
        vImgDice.src = vImgArray[paramNum- 1];
    }

    function changeMessage(paramNum) {
        var vH2ShowMessage = document.getElementById("h2-show-msg");
        if (paramNum < 4) {
            vH2ShowMessage.innerHTML = "Cảm ơn bạn. Hãy cố gắng lần sau!";
            vH2ShowMessage.style.color = "orange";
            vH2ShowMessage.style.display = "block";
        }
        if (paramNum >= 4) {
            vH2ShowMessage.innerHTML = "Chúc mừng bạn. Hãy chơi ván nữa!";
            vH2ShowMessage.style.color = "purple";
            vH2ShowMessage.style.display = "block";
        }
    }

</script>
</html>